/*
 * $RCSfile: DetectDialog.h,v $
 * $Date: 2009/10/09 12:49:25 $
 * $Revision: 1.2 $
 * jEdit:collapseFolds=1:tabSize=4:
 *
 * class DetectDialog declarations
 */


#if ! defined( DetectDialog_h )
#define DetectDialog_h


class DetectDialog : public CDialog {
public:
	DetectDialog( CWnd *pParent = NULL );

	int GetDeviceIndex() const {
		return deviceIndex;
	}	// GetDeviceIndex()

	//{{AFX_DATA(DetectDialog)
	enum { IDD = IDD_DETECT_DIALOG };
	CListBox deviceListBox;
	CString messageEditText;
	//}}AFX_DATA

protected:
	enum {
		MAX_DEVICES = 32
	};	// enum

	bool deviceValid[ MAX_DEVICES ];
	int deviceIndex;

	//{{AFX_VIRTUAL(DetectDialog)
	virtual BOOL OnInitDialog();
	virtual void DoDataExchange( CDataExchange *pDX );
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_VIRTUAL

	//{{AFX_MSG(DetectDialog)
	afx_msg void OnGoButton();
	afx_msg void OnRedetectButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};	// class DetectDialog


#endif


/* end of file */
