/*
 * $RCSfile: sample0Dlg.h,v $
 * $Date: 2009/10/09 12:49:25 $
 * $Revision: 1.4 $
 * jEdit:collapseFolds=1:tabSize=4:
 *
 * class CSample0Dlg declarations
 */


#if ! defined( sample0Dlg_h )
#define sample0Dlg_h


class CSample0Dlg : public CDialog {
public:
	CSample0Dlg( unsigned long deviceIndex, unsigned productID, CWnd *pParent = NULL );

protected:
	#define MAX_CHANNELS 2
	unsigned long deviceIndex;
	unsigned productID;
	CSliderCtrl *sliders[ MAX_CHANNELS ];
	CString *labels[ MAX_CHANNELS ];

	void UpdateSlider( int channel );
	void UpdateControls();

	//{{AFX_DATA(CSample0Dlg)
	enum { IDD = IDD_SAMPLE0_DIALOG };
	CButton	m_UpdateButton;
	CSliderCtrl	m_slider0;
	CSliderCtrl	m_slider1;
	CString	m_label0;
	CString	m_label1;
	BOOL m_autoUpdate;
	//}}AFX_DATA

protected:
	//{{AFX_VIRTUAL(CSample0Dlg)
	virtual void DoDataExchange( CDataExchange *pDX );
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSample0Dlg)
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAutoUpdateCheck();
	afx_msg void OnPaint();
	afx_msg void OnReleasedcaptureSlider0( NMHDR *pNMHDR, LRESULT *pResult );
	afx_msg void OnReleasedcaptureSlider1( NMHDR *pNMHDR, LRESULT *pResult );
	afx_msg void OnUpdateButton();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif


/* end of file */
